package com.lightinit.hsdataplatform.model.admin;

import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

public class MicroappRuningModel {
    private Long id;
    private String microappMonitoringType;

    private String monitoringType;
    //微应用监控时间
    private String monitoringTimeStrFrom;
    private String monitoringTimeStrTo;
    //监控周期
    private int monitoringCycle;
    //提醒方式
    private String alertMethod;
    //提醒时间
    private String alertTimeStrFrom;
    private String alertTimeStrTo;
    //微应用监控时间
    private String microappMonitoringTimeStrFrom;
    private String microappMonitoringTimeStrTo;
    //监控周期
    private int microappMonitoringCycle;
    //提醒方式
    private String microappAlertMethod;
    //提醒时间
    private String microappAlertTimeStrFrom;
    private String microappAlertTimeStrTo;
    private Date createdAt;
    private Long createdBy;
    public String getMonitoringType() {
        return monitoringType;
    }

    public void setMonitoringType(String monitoringType) {
        this.monitoringType = monitoringType;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getMicroappMonitoringType() {
        return microappMonitoringType;
    }

    public void setMicroappMonitoringType(String microappMonitoringType) {
        this.microappMonitoringType = microappMonitoringType;
    }

    public int getMonitoringCycle() {
        return monitoringCycle;
    }

    public void setMonitoringCycle(int monitoringCycle) {
        this.monitoringCycle = monitoringCycle;
    }

    public String getAlertMethod() {
        return alertMethod;
    }

    public void setAlertMethod(String alertMethod) {
        this.alertMethod = alertMethod;
    }

    public String getMonitoringTimeStrFrom() {
        return monitoringTimeStrFrom;
    }

    public void setMonitoringTimeStrFrom(String monitoringTimeStrFrom) {
        this.monitoringTimeStrFrom = monitoringTimeStrFrom;
    }

    public String getMicroappMonitoringTimeStrTo() {
        return microappMonitoringTimeStrTo;
    }

    public void setMicroappMonitoringTimeStrTo(String microappMonitoringTimeStrTo) {
        this.microappMonitoringTimeStrTo = microappMonitoringTimeStrTo;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Long getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }



    public int getMicroappMonitoringCycle() {
        return microappMonitoringCycle;
    }

    public void setMicroappMonitoringCycle(int microappMonitoringCycle) {
        this.microappMonitoringCycle = microappMonitoringCycle;
    }

    public String getMicroappAlertMethod() {
        return microappAlertMethod;
    }

    public void setMicroappAlertMethod(String microappAlertMethod) {
        this.microappAlertMethod = microappAlertMethod;
    }
    public String getMonitoringTimeStrTo() {
        return monitoringTimeStrTo;
    }

    public void setMonitoringTimeStrTo(String monitoringTimeStrTo) {
        this.monitoringTimeStrTo = monitoringTimeStrTo;
    }

    public String getMicroappMonitoringTimeStrFrom() {
        return microappMonitoringTimeStrFrom;
    }

    public void setMicroappMonitoringTimeStrFrom(String microappMonitoringTimeStrFrom) {
        this.microappMonitoringTimeStrFrom = microappMonitoringTimeStrFrom;
    }


    public String getAlertTimeStrFrom() {
        return alertTimeStrFrom;
    }

    public void setAlertTimeStrFrom(String alertTimeStrFrom) {
        this.alertTimeStrFrom = alertTimeStrFrom;
    }

    public String getAlertTimeStrTo() {
        return alertTimeStrTo;
    }

    public void setAlertTimeStrTo(String alertTimeStrTo) {
        this.alertTimeStrTo = alertTimeStrTo;
    }

    public String getMicroappAlertTimeStrFrom() {
        return microappAlertTimeStrFrom;
    }

    public void setMicroappAlertTimeStrFrom(String microappAlertTimeStrFrom) {
        this.microappAlertTimeStrFrom = microappAlertTimeStrFrom;
    }

    public String getMicroappAlertTimeStrTo() {
        return microappAlertTimeStrTo;
    }

    public void setMicroappAlertTimeStrTo(String microappAlertTimeStrTo) {
        this.microappAlertTimeStrTo = microappAlertTimeStrTo;
    }
}
